document.addEventListener( "keydown", (event) => {
    const key = event.key;
    const code = event.code;

    if (key.match(/^\p{Number}$/u)) {
        console.log(`Клавиша: number`);
    } 
    else if (key.match(/^\p{Letter}$/u)) {
        console.log(`Клавиша: letter`);
    } 
    else if (key.match(/^\p{Punctuation}$|^\p{Symbol}$/u)) {
        console.log(`Клавиша: symbol`);
    } 
    else {
        console.log(`Клавиша: ${key} Код: ${code}`);
    }
});


document.addEventListener( "mousedown", (event) => {
    console.log(`Клик мышью: ${event.button}`)
})


document.addEventListener( "click", (event) => {
    const clickedElement = event.target;
    if (clickedElement.tagName === 'A') {
        const href = clickedElement.href;
        console.log(`Переход по ссылке: ${href}`)
    } 
})



document.addEventListener( "copy", (event) => {
    const pageUrl = window.location.href;

    const selectedText = window.getSelection().toString();

    if (selectedText.length > 0) {
        let outputText;

        if (selectedText.length > 50) {
            outputText = selectedText.substring(0, 49) + '…';
        } else {
            outputText = selectedText;
        }

        console.log(`Скопирован текст: ${outputText}, Скопировано из: ${pageUrl}`)
    }
})